<h1 mat-dialog-title>Add {{location.name}} to Products</h1>
<mat-dialog-content>
  <mat-checkbox
    *ngFor="let product of products"
    class="checkbox-item" [checked]="location.productIds.includes(product.id)"
    (change)="addProductToLocation(product, $event.checked)"
  >{{product.name}}</mat-checkbox>
  <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close="" color="primary">OK</button>
</mat-dialog-actions>
